org.eclipse.graphiti.pattern.mapping.data

## Interface IImageDataMapping

All Superinterfaces:
  IDataMapping

All Known Subinterfaces:
  ILabelDataMapping

All Known Implementing Classes:
  ImageDataMapping, LabelDataMapping

    public interface IImageDataMapping
    extends IDataMapping

The Interface IImageDataMapping.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getImageId(PictogramLink link)` Gets the image id.

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.data.IDataMapping

`getUpdateWarning`

### Method Detail

#### getImageId

    java.lang.String getImageId(PictogramLink link)

Gets the image id.

Parameters:
  `link` - the pictogram link
Returns:
  the image id